function theta=anglecoupe(z,alphaa)

% argument d'un nombre complexe dans [alphaa-2pi,alpha[
%
% *********************************************************
%  theta=anglecoupe(z,alphaa) : renvoie l'argument de complexe z associ 
%  la coupure e^{i\alpha}R, c'est--dire que theta appartient  [alphaa-2pi,alpha[;
%
%  * Variable d'entres
%     * z : tableau de complexes
%  * Variables d'entres optionnelles
%     * alphaa : rel quelconque, gal  pi par dfaut.
%  * Variable de sortie
%     * theta : argument de z
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% 2014 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

nin=nargin;
thetac=angle(z);
theta=zeros(size(z));
if nin<=1|isempty(alphaa)
    indd=thetac==pi;
    if sum(indd)>=1
        thetac(indd)=-pi;
    end
else
    n=floor((alphaa+pi)/(2*pi));
    if -pi+2*n*pi==alphaa
        thetac=thetac+2*(n-1)*pi;
    else
        thetac=thetac(:)+2*n*pi;
        indd=thetac>alphaa;
        if sum(indd)>=1
            thetac(indd)=thetac(indd)-2*pi;
        end
    end
    indd=thetac>=alphaa;
    if sum(indd)>=1
        thetac(indd)=alphaa-2*pi;
    end
    indd=thetac<alphaa-2*pi;
    if sum(indd)>=1
        thetac(indd)=alphaa-2*pi;
    end
end
theta(:)=thetac;