function res=logcoupe(z,alphaa)

% logarithme complexe d'un nombre complexe associe  la coupure alpha
%
% *********************************************************
%  theta=logcoupe(z,alphaa) : renvoie log(z)=log(|z|)+iarg(z) o theta
%  appartient  [alphaa-2pi,alpha[
%
%  * Variable d'entres
%     * z : tableau de complexes
%  * Variables d'entres optionnelles
%     * alphaa : rel quelconque, gal  pi par dfaut.
%  * Variable de sortie
%     * res : logarithme de z
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    anglecoupe
%
% *********************************************************
%
% 2014 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, UFRSTAPS, Laboratoire CRIS, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

nin=nargin;
if nin<=1|isempty(alphaa)
    alphaa=pi;
end
res=log(abs(z))+i*anglecoupe(z,alphaa);
