function trace_3D(xmin,xmax,ymin,ymax,nx,ny,c,fch,nbriso)

% trac de fonction d'une partie de R^2 dans R.
%
% trace_3D(xmin,xmax,ymin,ymax,nx,ny,c,fch,nbriso) :
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%
%	variables d'entres : 
%     * xmin, xmax, ymin, ymax : partie de R^2 o la fonction est reprsente
%                                [xmin,xmax]*[ymin,ymax] 
%     * nx : nombre de points en abscisse (valeurs rparties linairement)
%     * ny : nombre de points en ordonne (valeurs rparties linairement)
%     * fch  : une chane de caractre de la forme 'F(x,y)' o x et y
%              sont les seules variables
%     * c entier dans {1,...,6} avec 
%          c=1 : mesh,
%          c=2 : surf,
%          c=3 : surfl,
%          c=4 : contour,
%          c=5 : pcolor (couleur),
%          c=6 : pcolor (gris).
%          voir en help les diffrentes fonctions meshgrid, mesh, surf, surfl, 
%          contour et pcolor.
%     * si c=4 : nbriso : nombre d'isovaleurs
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%     
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune
%
% *********************************************************
%
% (c) 2006 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

if (c==4)&(nargin==8)
   error('Nombre d''isovaleurs non indiqu');
end   
hx=(xmax-xmin)/nx;
hy=(ymax-ymin)/ny;
[x,y]=meshgrid(xmin:hx:xmax,ymin:hy:ymax);
f=vectorize(char(fch));
z=eval(f);   
test=1;
colormap('default');
switch c
   case 1
      mesh(x,y,z);
   case 2
      surf(x,y,z);               
      colormap(jet);         
   case 3
      surfl(x,y,z);                             
      shading interp;                       
      colormap(pink);          
   case 4
      contour(x,y,z,nbriso);     
   case 5   
      pcolor(x,y,z);     
      shading interp;
   case 6   
      pcolor(x,y,z);     
      shading interp;
      colormap(gray); 
end         
