function trace_puissance_un_n(N,n,nomeps)

% Tracs de l'image de D (ensembles des complexes  partie rlle et imaginaire entre -1 et 1) par z^(1/n)
%
% *********************************************************
%  trace_sqrt_divers(N,n,nomeps) : 
%      trois trac diffrents : points alatoire, quirpartis et trac exact.
%      
%  * Variables d'entres optionnelles 
%     * N : nombre de points (est lev au carr), gal  50 par dfaut
%     * n : gal  2 par dfaut
%     * nomeps : vide par dfaut ; si non vide, stockage dans figure eps.
%
%   EXEMPLES :
%       trace_puissance_un_n
%       trace_puissance_un_n(100,5)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%    aucune 
%
% *********************************************************
%
% 2019 by          Jrme BASTIEN
%                  Universit Claude Bernard Lyon I, Polytech, Laboratoire LIBM, Villeurbanne
%                  E-Mail : jerome.bastien@univ-lyon1.fr

if nargin==0||isempty(N)
    N=50;
end
if nargin<=1||isempty(n)
    n=2;
end
if nargin<=2||isempty(nomeps)
    k=0;
else
    k=1;
end
P=1000;
Z=cell(1,3);
v=linspace(-1,1,2*P);
w=1+zeros(1,P);
w2=1+zeros(1,2*P);
Z{1}=(rand(N,N)*2-1)+i*(rand(N,N)*2-1);
[X,Y]=meshgrid(linspace(-1,1,N));
Z{2}=X+i*Y;
x=[-w,v,w2,fliplr(v),-w];
y=[linspace(0,-1,P),-w2,v,w2,linspace(1,0,P)];
if n==2
    Zauxi=sqrt(x+i*y);
else
    Zauxi=(x+i*y).^(1/n);
end
Zauxi(1)=exp(-i*pi/n);
Zauxi=[0,Zauxi,0];
Z{3}=Zauxi;
for j=1:2
    if n==2
        Z{j}=sqrt(Z{j});
    else
        Z{j}=(Z{j}).^(1/n);
    end
end
if k==0
    figure;
end
plot(real(Z{1}),imag(Z{1}),'r.',0,0,'r.',real(Zauxi),imag(Zauxi),'b');
axis equal;
if k==1
    print('-depsc2',[nomeps,'1'])
end
if k==0
    figure;
end
plot(real(Z{2}),imag(Z{2}),'r.',0,0,'r.',real(Zauxi),imag(Zauxi),'b');
axis equal;
if k==1
    print('-depsc2',[nomeps,'2'])
end
if k==0
    figure;
end
hold on;
fill(real(Z{3}),imag(Z{3}),'r.');
plot(real(Zauxi),imag(Zauxi),'b');
axis equal;
hold off;
if k==1
    print('-depsc2',[nomeps,'3'])
end
